package net.phaedra.commons;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Bean implements Serializable {

   private Integer id;
   private String string;
   private boolean bool;
   private List children;

   public Bean() {
      children = new ArrayList();
   }

   public Bean(String string) {
      this.string = string;
   }

   public boolean isBool() {
      return bool;
   }

   public void setBool(boolean bool) {
      this.bool = bool;
   }

   public Integer getId() {
      return id;
   }

   public void setString(String string) {
      this.string = string;
   }

   public String getString() {
      return string;
   }

   public List getChildren() {
      return children;
   }

   public void addChild(String child) {
      children.add(child);
   }

   public void setId(int id) {
      this.id = id;
   }

}
