/**
 * Copyright (C) 2008 Daniele Dellafiore <daniele.dellafiore@gmail.com>
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/MPL-1.1.html
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.phaedra.commons.file;

import java.io.File;

import net.phaedra.commons.utils.Validations;

@Deprecated
public class Folder extends File {

   public Folder(final File parent, final String child) {
      super(parent, child);
      Validations.expect(isDirectory(), "must be a directory: " + getAbsolutePath());
   }

   public Folder(final File directory) {
      super(directory.getAbsolutePath());
      Validations.expect(isDirectory(), "must be a directory: " + getAbsolutePath());
   }

   public Folder(final String path) {
      super(path);
      Validations.expect(isDirectory(), "must be a directory: " + getAbsolutePath());
   }
}
