/**
 * Copyright (C) 2008 Daniele Dellafiore <daniele.dellafiore@gmail.com>
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/MPL-1.1.html
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.phaedra.commons.file;

public class NonBlockingIOException extends RuntimeException {

   public NonBlockingIOException(String message, Throwable cause) {
      super(message, cause);
   }

   public NonBlockingIOException(String message) {
      super(message);
   }

   public NonBlockingIOException(Throwable cause) {
      super(cause);
   }

}
