package net.phaedra.commons.utils;

import java.beans.IntrospectionException;
import java.beans.PropertyDescriptor;
import java.lang.reflect.Method;

import jin.collection.util.PropertyUtil;

import org.apache.commons.lang.StringUtils;

public class BeanUtils {

   public static void writeProperty(Object targetBean, String propertyName, Object value) {
      // BeanUtils.getWriteMethod(targetBean, propertyName).invoke(targetBean,
      // value);
      PropertyUtil.setProperty(targetBean, propertyName, value);
   }

   public static Method getWriteMethod(Object targetBean, String propertyName) throws IntrospectionException {
      return new PropertyDescriptor(propertyName, targetBean.getClass(), null, "set"
            + StringUtils.capitalize(propertyName)).getWriteMethod();
   }

}
