package net.phaedra.commons.utils;

import java.util.Collection;

public class StringContatenator {

   private final String[] strings;
   private boolean spaceAfter;

   public StringContatenator(String... strings) {
      this.strings = strings;
   }

   public StringContatenator(Collection codiciAllarme) {
      this(CollectionUtils.stringArray(codiciAllarme));
   }

   public void setSpaceAfter(boolean spaceAfter) {
      this.spaceAfter = spaceAfter;
   }

   /**
    * Concatenate the strings from constructor in a single string separated by
    * parameter string
    * 
    * @param target
    *           : the concatenator char
    */
   public String runOn(String target) {
      StringBuffer sb = new StringBuffer("");
      for (int i = 0; i < strings.length; i++) {
         sb.append(strings[i]);
         if (i == strings.length - 1) {
            break;
         }
         sb.append(target);
         if (spaceAfter) {
            sb.append(" ");
         }
      }
      return sb.toString();
   }

}
