package net.phaedra.commons.utils;


import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class DateFormatUtil {

   final private static String LONG_DATE_FORMAT = "dd/MMMM/yyyy";
   public final static String DAY_FORMAT = "dd/MM/yyyy";
   static final long ONE_HOUR = 60 * 60 * 1000L;

   public static String buildFormattedDate(Date date) {
      SimpleDateFormat sdf = new SimpleDateFormat(LONG_DATE_FORMAT, Locale.ITALIAN);
      return sdf.format(date);
   }
}
