/**
 * Copyright (C) 2008 Daniele Dellafiore <daniele.dellafiore@gmail.com>
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/MPL-1.1.html
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.phaedra.commons.utils;

import java.util.Calendar;

public class TimeUtils {

   public static String now() {
      Calendar calendar = Calendar.getInstance();
      return calendar.get(Calendar.MINUTE) + ":" + calendar.get(Calendar.SECOND) + ":"
            + calendar.get(Calendar.MILLISECOND);
   }

}
